Arbor 3: FSM & BT Graph Editor 3.4.0

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Properties | List of all members
FlexibleRigidbody2D Class Reference

参照方法が複数ある柔軟なRigidbody2D型を扱うクラス。 More...

Inheritance diagram for FlexibleRigidbody2D:

## Public Member Functions
| FlexibleRigidbody2D ()
| FlexibleRigidbody2Dデフォルトコンストラクタ More...
| FlexibleRigidbody2D (Rigidbody2D value)
| FlexibleRigidbody2Dコンストラクタ More...
| FlexibleRigidbody2D (Rigidbody2DParameterReference parameter)
| FlexibleRigidbody2Dコンストラクタ More...
| FlexibleRigidbody2D (InputSlotRigidbody2D slot)
| FlexibleRigidbody2Dコンストラクタ More...
FlexibleComponent | ToFlexibleComponent ()
| FlexibleComponentへ変換して返す。 More...
object | GetValueObject ()
| 値をobjectで返す。 More...

## Static Public Member Functions
static | operator Rigidbody2D (FlexibleRigidbody2D flexible)
| FlexibleRigidbody2DをRigidbody2Dにキャスト。 More...
static | operator FlexibleRigidbody2D (Rigidbody2D value)
| Rigidbody2DをFlexibleRigidbody2Dにキャスト。 More...

## Properties
FlexibleType | type`[get]`
| Typeを返す More...
Parameter | parameter`[get]`
| Parameterを返す。TypeがParameter以外の場合はnull。 More...
Rigidbody2D | value`[get]`
| 値を返す More...

## Detailed Description

参照方法が複数ある柔軟なRigidbody2D型を扱うクラス。

## Constructor & Destructor Documentation

FlexibleRigidbody2D | ( |  | ) |

FlexibleRigidbody2Dデフォルトコンストラクタ

FlexibleRigidbody2D | ( | Rigidbody2D | value | ) |

FlexibleRigidbody2Dコンストラクタ

Parameters

  value | 値

FlexibleRigidbody2D | ( | Rigidbody2DParameterReference | parameter | ) |

FlexibleRigidbody2Dコンストラクタ

Parameters

  parameter | パラメータ

FlexibleRigidbody2D | ( | InputSlotRigidbody2D | slot | ) |

FlexibleRigidbody2Dコンストラクタ

Parameters

  slot | スロット

## Member Function Documentation

object GetValueObject | ( |  | ) |

値をobjectで返す。

Returns
  値のobject

Implements IFlexibleField.

static operator FlexibleRigidbody2D | ( | Rigidbody2D | value | ) |
| explicit static

Rigidbody2DをFlexibleRigidbody2Dにキャスト。

Parameters

  value | Rigidbody2D

static operator Rigidbody2D | ( | FlexibleRigidbody2D | flexible | ) |
| explicit static

FlexibleRigidbody2DをRigidbody2Dにキャスト。

Parameters

  flexible | FlexibleRigidbody2D

FlexibleComponent ToFlexibleComponent | ( |  | ) |

FlexibleComponentへ変換して返す。

Returns
  FlexibleComponent

## Property Documentation

Parameter parameter
| get

Parameterを返す。TypeがParameter以外の場合はnull。

FlexibleType type
| get

Typeを返す

Rigidbody2D value
| get

値を返す